Subject: bug#8222: 24.0.50; problem with themeing var with repeat string

From: [email-masked]
Date: Fri, 11 Mar 2011 09:47:39 +0100

Chong Yidong <[email-masked]> writes:

> [email-masked] writes:
>
>> (defcustom zen-encumbered-urls nil
>>   "make it harder to reach urls so you remember not to go there."
>>   :group 'zen
>>   :type '(repeat string)
>>   :set 'zen-set-encumber-urls
>>   )
>>
>>   doesnt seem to work well with themeing. I get errors like:
>> Error setting zen-encumbered-urls: (wrong-type-argument sequencep quote)
>>
>> (custom-theme-set-variables
>>  'zen-3
>>  ...
>>  '(zen-encumbered-urls (quote (quote ( "#brief timewastes" "www.penny-arcade.com" "www.dilbert.com" "www.xkcd.com" "www.userfriendly.org" "#news waste" "slashdot.org" "dn.se" "#social timewastes" "https://www.facebook.com"))))
>
> I think you want
>
>  '(zen-encumbered-urls (quote ("#brief timewastes" "..." ...)))
>
> The M-x customize-create-theme interface seems to DTRT here.  If that's
> not the problem, could you provide more details?

custom-theme-visit-theme doesnt provide a repeater while the usual
customize interface does.

what I want to do is enable one base theme like wheatgrass or whatever.
On top of that I would like to add one zen theme, out of a set of three
zen themes.

When I try the code I get all sorts of confusing behaviour. I iont get
the base theme I expect. The tool-bar doesnt come back when I disable a
zen theme. etc.

I will update the repo for zen and then you can maybe try it?

-- 
Joakim Verona